Bug 1280249 - [RFE][RHEV] Export not exporting direct lun disk
[RFE][RHEV] Export not exporting direct lun disk
Status: NEW
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.5.5
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Rob Young
Gil Klein
: FutureFeature, Reopened
: 1287708 (view as bug list)
Depends On: 1029489 1287708
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-11 05:38 EST by Pavel Zhukov
Modified: 2017-09-28 05:32 EDT (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 1029489
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Zhukov 2015-11-11 05:38:01 EST
+++ This bug was initially created as a clone of Bug #1029489 +++

Description of problem:


Version-Release number of selected component (if applicable):

ovirt-engine.noarch                  3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-backend.noarch          3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-cli.noarch              3.2.0.11-1.el6                @ovirt-stable
ovirt-engine-dbscripts.noarch        3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-genericapi.noarch       3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-restapi.noarch          3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-sdk.noarch              3.2.0.3-1.el6.centos.alt      @ovirt_test  
ovirt-engine-setup.noarch            3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-tools.noarch            3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-userportal.noarch       3.2.2-1.1.el6                 @ovirt-stable
ovirt-engine-webadmin-portal.noarch  3.2.2-1.1.el6                 @ovirt-stable
ovirt-host-deploy.noarch             1.1.0-0.0.master.el6          @ovirt32-dre 
ovirt-host-deploy-java.noarch        1.1.0-0.0.master.el6          @ovirt32-dre 
ovirt-image-uploader.noarch          3.1.0-26.el6.centos.alt       @ovirt_test  
ovirt-iso-uploader.noarch            3.1.0-26.el6.centos.alt       @ovirt_test  
ovirt-log-collector.noarch           3.2.2-1.el6                   @ovirt-stable
ovirt-release-el6.noarch             6-1                           @/ovirt-release-el6-6-1.noarch


How reproducible:

Steps to Reproduce:
1.Export a vm with direct lun disk
2.Exported vm has no disk
3.

Actual results:
the exported vm is not usable.

Expected results:
The vm should have a copy of the disk

Additional info:

--- Additional comment from Sean Cohen on 2013-11-18 07:10:04 EST ---

(In reply to Juan Pablo Lorier from comment #0)

> The vm should have a copy of the disk

Juan,

Using LUNs directly as virtual machine hard disk images removes a layer of abstraction between the virtual machines and their data.

Here are the limitations by design:

- Live storage migration of direct LUN hard disk images is not supported.
- Direct LUN disks are not included in virtual machine exports.
- Direct LUN disks are not included in virtual machine snapshots

Sean

--- Additional comment from Ayal Baron on 2013-12-04 13:31:10 EST ---

(In reply to Sean Cohen from comment #1)
> (In reply to Juan Pablo Lorier from comment #0)
> 
> > The vm should have a copy of the disk
> 
> Juan,
> 
> Using LUNs directly as virtual machine hard disk images removes a layer of
> abstraction between the virtual machines and their data.
> 
> Here are the limitations by design:
> 
> - Live storage migration of direct LUN hard disk images is not supported.

It could be (hence the RFE)

> - Direct LUN disks are not included in virtual machine exports.

I see no reason not to add this option when exporting.  It would mean of course that the disk would stop being a direct lun, but the request is valid.

> - Direct LUN disks are not included in virtual machine snapshots

technically it could be possible, although it would add a dependency on a storage domain disk in addition to the lun.
alternatively, once we introduce Cinder support then we'd be able to add 'managed' luns for which snapshots are supported by definition.

--- Additional comment from Itamar Heim on 2015-03-22 11:47:06 EDT ---

Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

--- Additional comment from Alexandros Gkesos on 2015-11-10 09:28:44 EST ---

Hello,

A customer is interested in this feature:

"Export VMs with Direct LUNs disks"

What's the reason of "WONTFIX"?

--- Additional comment from Allon Mureinik on 2015-11-10 10:09:44 EST ---

(In reply to Alexandros Gkesos from comment #4)
> Hello,
> 
> A customer is interested in this feature:
> 
> "Export VMs with Direct LUNs disks"
> 
> What's the reason of "WONTFIX"?

From comment 3:

(In reply to Itamar Heim from comment #3)
> Closing old bugs. If this issue is still relevant/important in current
> version, please re-open the bug.

If there's a customer interested in it, we can definitely reevaluate when we plan the next version.

--- Additional comment from ania on 2015-11-10 13:19:43 EST ---

 === In Red Hat Customer Portal Case 01536545 ===
--- Comment by Honess, Ania on 10/11/2015 19:19 ---

-- srm update 

RHEV PM Yaniv Dary visited this customer in Spain last week and has direct feedback on the specific use case. Currently this cust has 181 multipath devices and based on discussion last week the customer is evaluating the migration from Direct Luns to SD as recommended by Yaniv, for better architecture, performance and scalability.
Comment 1 Allon Mureinik 2015-11-11 06:38:11 EST
Pavel, why do we need another clone for this BZ?
Comment 6 Pavel Zhukov 2015-12-02 09:22:59 EST
*** Bug 1287708 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.